import { Channel } from "amqplib";
import { Worker, WorkerQueueConfiguration } from "../types";
declare type WorkerConfiguration<TPayloadsByQueueName extends Record<string, any>> = {
    channel: Channel;
    queueConfigurations: WorkerQueueConfiguration<TPayloadsByQueueName>;
};
export declare const createWorker: <TPayloadsByQueueName extends Record<string, any>>({ channel, queueConfigurations, }: WorkerConfiguration<TPayloadsByQueueName>) => Promise<Worker<TPayloadsByQueueName>>;
export {};
